classification
Title: Fix double double words words
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: docs@python, eric.araujo, ezio.melotti, mrabarnett, python-dev, serhiy.storchaka, terry.reedy
Priority: low Keywords: easy, patch

Created on 2013-01-27 08:07 by serhiy.storchaka, last changed 2013-03-15 07:44 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
Lib14707-27.diff terry.reedy, 2013-02-08 03:41 Lib/* de-dup for 2.7
Lib14707-32.diff terry.reedy, 2013-02-08 03:44 Lib/* de-dup for 3.2
Mod14707-27.diff terry.reedy, 2013-02-08 06:39 Mod/* de-dup for 2.7
Mod14707-32.diff terry.reedy, 2013-02-08 06:40 Mod/* de-dup for 3.2
Doc17047-27.diff terry.reedy, 2013-02-08 07:24 Doc/* de-dup for 2.7
Doc17047-32.diff terry.reedy, 2013-02-08 07:24 Doc/* de-dup for 3.2
Issue17047-34.diff terry.reedy, 2013-02-08 07:55 Patches for 3.3 and 3.4 review
Messages (26)
msg180747 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-27 08:07
In additional to changeset 07488c3c85f1, here are yet some possible word duplications:

Lib/_pyio.py:306:        Change the stream position to byte offset offset. offset is
Lib/concurrent/futures/_base.py:520:            fn: A callable that will take take as many arguments as there are
Lib/tkinter/__init__.py:3116:        have the same start and and end line as the parent widget, but
Lib/tkinter/tix.py:149:        """Locates a bitmap file of the name name.xpm or name in one of the
Lib/tkinter/tix.py:160:        """Locates an image file of the name name.xpm, name.xbm or name.ppm
Lib/lib2to3/pgen2/grammar.py:23:    """Pgen parsing tables tables conversion class.
Lib/lib2to3/pgen2/grammar.py:48:                     states, each state is is a list of arcs, and each
Lib/email/_header_value_parser.py:1866:    We allow anything except the excluded characters, but but if we find any
Lib/email/_encoded_words.py:17:# to to the CTE tables, but YAGNI for now.  'q' is Quoted Printable, 'b' is
Lib/email/mime/text.py:29:        # If no _charset was specified, check to see see if there are non-ascii
Lib/email/policy.py:26:    The API extensions enabled by this this policy are currently provisional.
Lib/unittest/mock.py:1420:    attributes that your production code creates at runtime. It is off by by
Lib/test/test_socket.py:845:        # Try udp, but don't barf it it doesn't exist
Lib/test/test_descrtut.py:322:getx() and and setx():
Lib/test/test_decimal.py:4495:        # Do operations and check that it didn't change change internal objects.
Lib/distutils/command/install.py:266:            raise DistutilsOptionError("can't combine user with with prefix/"
Lib/distutils/tests/test_install.py:168:        # can't combine user with with prefix/exec_prefix/home or
python-gdb.py:1466:        '''Is this frame "collect" within the the garbage-collector?'''
Include/pyport.h:884: * also also takes care of Apple's universal builds.
Modules/_io/iobase.c:79:    "Change the stream position to byte offset offset. offset is\n"
Modules/_heapqmodule.c:91:    /* The leaf at pos is empty now.  Put newitem there, and and bubble
Modules/_heapqmodule.c:431:    /* The leaf at pos is empty now.  Put newitem there, and and bubble
Modules/socketmodule.c:3547:           ensures that that doesn't happen. */
Modules/binascii.c:41:** I have attempted to break with this tradition, but I guess that that
Modules/posixmodule.c:9747:Return the value of extended attribute attribute on path.\n\
Modules/posixmodule.c:9825:Set extended attribute attribute on path to value.\n\
Modules/posixmodule.c:9890:Remove extended attribute attribute on path.\n\
PC/msvcrtmodule.c:133:Create a C runtime file descriptor from the file handle handle. The\n\
Doc/c-api/intro.rst:436::c:func:`sum_sequence` example above.  It so happens that that example doesn't
Doc/c-api/long.rst:206:   Return a C :c:type:`size_t` representation of of *pylong*.  *pylong* must be
Doc/c-api/long.rst:218:   Return a C :c:type:`unsigned PY_LONG_LONG` representation of of *pylong*.
Doc/library/stdtypes.rst:2640:      Cast 1D/unsigned char to to 2D/unsigned long::
Doc/library/email.policy.rst:330:      line breaks and and any (RFC invalid) binary data it may contain.
Doc/library/unittest.mock.rst:991:    attributes that your production code creates at runtime. It is off by by
Doc/whatsnew/3.3.rst:1539:New attribute attribute :data:`multiprocessing.Process.sentinel` allows a
Lib/idlelib/extend.txt:57:Here is a complete example example:
Lib/idlelib/extend.txt:75:used to to configure the loading of extensions and to establish key (or, more
msg180749 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-27 08:47
And yet some:

Mac/README:40:  Create a universal binary build of of Python. This can be used with both
Misc/HISTORY:781:  some also support accepting an open file descriptor in place of of a path
Misc/HISTORY:1415:  trying to set a non-binary value as a comment is now now raised at the time
Misc/HISTORY:3055:  environment after Distutils set it.  Instead, have Distutils set the the
Tools/pybench/README:6:     Extendable suite of of low-level benchmarks for measuring
msg180825 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-01-28 04:28
Note that sometimes duplicates are actually typos: in http://hg.python.org/cpython/rev/07488c3c85f1/#l4.1 for exemple I think the intent was to write “that the” instead of “the the”.
msg181144 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-02-02 08:40
These are correct as they are:

Lib/tkinter/tix.py:149:        """Locates a bitmap file of the name name.xpm or name in one of the
Lib/tkinter/tix.py:160:        """Locates an image file of the name name.xpm, name.xbm or name.ppm

Modules/_io/iobase.c:79:    "Change the stream position to byte offset offset. offset is\n"
<I believe the 2nd and 3rd 'offset' are argument names, which would be specially marked in .rst>

Modules/socketmodule.c:3547:           ensures that that doesn't happen. */
Modules/binascii.c:41:** I have attempted to break with this tradition, but I guess that that
Doc/c-api/intro.rst:436::c:func:`sum_sequence` example above.  It so happens that that example doesn't
<'that that' is awkward, but the two 'that's are different>

Modules/posixmodule.c:9747:Return the value of extended attribute attribute on path.\n\
Modules/posixmodule.c:9825:Set extended attribute attribute on path to value.\n\
Modules/posixmodule.c:9890:Remove extended attribute attribute on path.\n\
PC/msvcrtmodule.c:133:Create a C runtime file descriptor from the file handle handle. The\n\
<much like byte offset offset>

Doc/c-api/long.rst:206:   Return a C :c:type:`size_t` representation of of *pylong*.  *pylong* must be
<the re missed the '.'.>

False doubles from typos (which should also be changed):
Lib/test/test_socket.py:845:        # Try udp, but don't barf it it doesn't exist
/it it/if it/

Éric, I am puzzled by your comment. The only two 'the the's in Serhiy's report (that Firefox finds) are

python-gdb.py:1466:        '''Is this frame "collect" within the the garbage-collector?'''
<I suspect 'collect' should be 'collected', but I cannot tell without a link. I am sure 'the the' is wrong.>

Misc/HISTORY:3055:  environment after Distutils set it.  Instead, have Distutils set the the

and both look like wrong doubles and not 'that the'.
msg181578 - (view) Author: Matthew Barnett (mrabarnett) * Date: 2013-02-07 02:15
These are the ones that I think are wrong:

Doc/c-api/long.rst:206

   Return a C :c:type:`size_t` representation of of *pylong*.  *pylong* must be

Doc/c-api/long.rst:218

   Return a C :c:type:`unsigned PY_LONG_LONG` representation of of *pylong*.

Doc/library/email.policy.rst:330

      line breaks and and any (RFC invalid) binary data it may contain.

Doc/library/ipaddress.rst:395

      These attributes are true for the network as a whole if they are true
      true for both the network address and the broadcast address

Doc/library/ipaddress.rst:454

      ``True`` if this network is partly or wholly contained in *other* or
      or *other* is wholly contained in this network.

Doc/library/ipaddress.rst:584

      These attribute is true for the network as a whole if it is true
      true for both the network address and the broadcast address

Doc/library/ssl.rst:826

   The *server_name_callback* function must return ``None`` to allow the
   the TLS negotiation to continue.  If a TLS failure is required, a constant

Doc/library/stdtypes.rst:2640

      Cast 1D/unsigned char to to 2D/unsigned long::

Doc/library/unittest.mock.rst:1011

    attributes that your production code creates at runtime. It is off by by

Doc/library/xml.dom.rst:359

   children, returning *newChild*. If the node was already in
   in the tree, it is removed first.

Doc/whatsnew/3.3.rst:1539

New attribute attribute :data:`multiprocessing.Process.sentinel` allows a

Include/pyport.h:884

 * also also takes care of Apple's universal builds.

Lib/argparse.py:1143

        - encoding -- The file's encoding. Accepts the same values as the
            the builtin open() function.

Lib/ftplib.py:468

          callback: An optional single parameter callable that is called on
                    on each block of data after it is sent.  [default: None]

Lib/ftplib.py:490

          callback: An optional single parameter callable that is called on
                    on each line after it is sent.  [default: None]

Lib/turtle.py:859

    Thus stops execution of turtle graphics script. Main purpose: use in
    in the Demo-Viewer turtle.Demo.py.

Lib/_pyio.py:306

        Change the stream position to byte offset offset. offset is

[It's referring to the byte-offset parameter called "offset"; the parameter is actually called "pos".]

Lib/concurrent/futures/_base.py:520

            fn: A callable that will take take as many arguments as there are

Lib/distutils/command/install.py:266

            raise DistutilsOptionError("can't combine user with with prefix/"

Lib/distutils/tests/test_install.py:168

        # can't combine user with with prefix/exec_prefix/home or

Lib/email/policy.py:26

    The API extensions enabled by this this policy are currently provisional.

Lib/email/_encoded_words.py:17

# to to the CTE tables, but YAGNI for now.  'q' is Quoted Printable, 'b' is

Lib/email/_header_value_parser.py:1866

    We allow anything except the excluded characters, but but if we find any

Lib/email/mime/text.py:29

        # If no _charset was specified, check to see see if there are non-ascii

Lib/idlelib/extend.txt:57

Here is a complete example example:

Lib/idlelib/extend.txt:75

used to to configure the loading of extensions and to establish key (or, more

Lib/idlelib/rpc.py:4

connect to the Idle process, which listens for the connection.  Since Idle has
has only one client per server, this was not a limitation.

Lib/lib2to3/pgen2/grammar.py:23

    """Pgen parsing tables tables conversion class.

Lib/lib2to3/pgen2/grammar.py:48

                     states, each state is is a list of arcs, and each

Lib/msilib/__init__.py:327

        """Add a file to the current component of the directory, starting a new one
        one if there is no current component. By default, the file name in the source

Lib/test/test_decimal.py:4495

        # Do operations and check that it didn't change change internal objects.

Lib/test/test_socket.py:845

        # Try udp, but don't barf it it doesn't exist

[Should be "if it".]

Lib/tkinter/tix.py:1920

                     Val may be: "auto" -- the width of the column is set the
                     the widest cell in the column; a valid Tk screen distance

Lib/tkinter/tix.py:1944

                     Val may be: "auto" -- the height of the row  is  set  the
                     the highest cell in the row; a valid Tk screen distance

Lib/unittest/mock.py:1447

    attributes that your production code creates at runtime. It is off by by

Modules/ossaudiodev.c:233

   SNDCTL_DSP_{SETFMT,CHANNELS,SPEED} -- that that are called from C

Modules/_heapqmodule.c:91

    /* The leaf at pos is empty now.  Put newitem there, and and bubble

Modules/_heapqmodule.c:431

    /* The leaf at pos is empty now.  Put newitem there, and and bubble

Modules/expat/xmltok.c:1587

           way this can fail to be big-endian UTF-16 if it it's an

Modules/zlib/deflate.c:160

 * IN  assertion: all calls to to UPDATE_HASH are made with consecutive

Modules/zlib/deflate.c:173

 * IN  assertion: all calls to to INSERT_STRING are made with consecutive

Modules/zlib/inftrees.h:44

   returns returns 852, and "enough 30 6 15" for distance codes returns 592.

Modules/zlib/zlib.h:815

   success case, the application may save the current current value of total_in

Modules/_ctypes/callproc.c:23

  'inargs', or a completely fresh tuple, depending on several things (is is a

Modules/_ctypes/libffi/src/dlmalloc.c:103

       else. And if if you are sure that your program using malloc has

Modules/_ctypes/libffi/src/dlmalloc.c:609

  are not even meaningful in this version of malloc.  These fields are
  are instead filled by mallinfo() with other numbers that might be of

Modules/_ctypes/libffi/src/dlmalloc.c:1624

  ensured by making all allocations from the the `lowest' part of any

Modules/_ctypes/libffi/src/dlmalloc.c:1830

  parent pointer.)  If a chunk with the same size an an existing node

[Should be "as an".]

Modules/_ctypes/libffi/src/dlmalloc.c:1835

  smallest is 0x100 <= x < 0x180), which is is divided in half at each

Modules/_ctypes/libffi/src/dlmalloc.c:3444

       (disabled if not MORECORE_CONTIGUOUS or not HAVE_MORECORE or
       or main space is mmapped or a previous contiguous call failed)

Modules/_ctypes/libffi/src/ia64/ffi.c:88

/* Return the size of the C type associated with with TYPE.  Which will

Modules/_ctypes/libffi/src/ia64/ffi.c:188

      /* Similarly, except that that HFA is true for double extended,

Tools/msi/msilib.py:493

        """Add a file to the current component of the directory, starting a new one
        one if there is no current component. By default, the file name in the source
msg181581 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-02-07 08:14
Lib/tkinter/tix.py:1920
 Val may be: "auto" -- the width of the column is set the
 the widest cell in the column; a valid Tk screen distance

I believe 'the the' should be 'to the width of the'

Lib/tkinter/tix.py:1944
 Val may be: "auto" -- the height of the row  is  set  the
 the highest cell in the row; a valid Tk screen distance

Ditto for heigth instead of width.
msg181604 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-07 13:15
Terry, do you want to provide a patch?
msg181653 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-02-08 01:41
I am working on patch(es) now, against 3.2. But to make 2.7.4/3.2.4, I'd like you to apply, as I am not currently set up to do so properly.
I may do separate patches for doc, lib, module, and others, so none is overwhelming.
msg181656 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-02-08 03:41
First batch for Lib/*. Separate 3.2 and 2.7 files as the later required deletion of concurrent patch and adjustment of tix and turtle paths.
msg181657 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-02-08 03:44
These of course do not contain patches for new dups introduced in 3.3. I kept a record and will later make a separate patch for those. (I hope before 3.3.1).
msg181660 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-02-08 06:39
C module files. I cannot find python-gdb.py.
msg181661 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-02-08 07:24
A majority of doc glitches listed here are new in 3.3. I believe someone make a similar de-double patch some time ago. I put the other 2.7/3.2 fixes here so this is it for those two versions.
msg181662 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-02-08 07:55
This is for 3.3 and 3.4. It is against tip, but should apply to 3.3 since the lines changed were as reported here for 3.3.
msg181681 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-08 16:15
> I cannot find python-gdb.py.

This is a copy of Tools/gdb/libpython.py.
msg183994 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-11 21:29
New changeset 1ecb712fcf22 by Terry Jan Reedy in branch '2.7':
Issue #17047: removed doubled words in Doc/*, Mac/*, and Tool/*
http://hg.python.org/cpython/rev/1ecb712fcf22

New changeset e37647470fcf by Terry Jan Reedy in branch '3.2':
Issue #17047: removed doubled words in Doc/*, Mac/*, and Tool/*
http://hg.python.org/cpython/rev/e37647470fcf

New changeset 629322a13b53 by Terry Jan Reedy in branch '3.3':
Merge with 3.2: Issue #17047: removed doubled words in Doc/*,
http://hg.python.org/cpython/rev/629322a13b53

New changeset c187c145b4c4 by Terry Jan Reedy in branch 'default':
Merge with 3.3: Issue #17047: removed doubled words in Doc/*,
http://hg.python.org/cpython/rev/c187c145b4c4
msg183995 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-03-11 21:30
Tools/gdb/libpython.py and some other doubles were fixed by rev81772 on the same day this issue was opened. I suspect that the copy had not been updated.
msg183996 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-03-11 21:43
Thank you, Terry.
msg183997 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-11 21:47
New changeset e145dddb9d93 by Terry Jan Reedy in branch '2.7':
Issue #17047: remove doubled words found in 2.7 to 3.4 Modules/*,
http://hg.python.org/cpython/rev/e145dddb9d93

New changeset e9ba9f21a828 by Terry Jan Reedy in branch '3.2':
Issue #17047: remove doubled words found in 2.7 to 3.4 Modules/*,
http://hg.python.org/cpython/rev/e9ba9f21a828

New changeset a42195046e39 by Terry Jan Reedy in branch '3.3':
Merge 3.2, Issue #17047: remove doubled words found in 2.7 to 3.4
http://hg.python.org/cpython/rev/a42195046e39

New changeset 4bd13f45d3a2 by Terry Jan Reedy in branch 'default':
Merge 3.3, issue #17047: remove doubled words found in 2.7 to 3.4
http://hg.python.org/cpython/rev/4bd13f45d3a2
msg183998 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-11 22:00
New changeset cd0191a9b5c9 by Terry Jan Reedy in branch '2.7':
Issue #17047: remove doubled words found in 2.7 to 3.4 Lib/*,
http://hg.python.org/cpython/rev/cd0191a9b5c9

New changeset 3f5f961262ec by Terry Jan Reedy in branch '3.2':
Issue #17047: remove doubled words found in 2.7 to 3.4 Lib/*,
http://hg.python.org/cpython/rev/3f5f961262ec

New changeset 0547f89aa620 by Terry Jan Reedy in branch '3.3':
Merge 3.2, issue #17047: remove doubled words found in 2.7 to
http://hg.python.org/cpython/rev/0547f89aa620

New changeset 01aa93888917 by Terry Jan Reedy in branch 'default':
Merge 3.3, issue #17047: remove doubled words found in 2.7 to
http://hg.python.org/cpython/rev/01aa93888917
msg183999 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-11 22:40
New changeset e9ada209b67f by Terry Jan Reedy in branch '3.3':
Issue #17047: remove doubled words added in 3.3
http://hg.python.org/cpython/rev/e9ada209b67f

New changeset 908d45fdbecd by Terry Jan Reedy in branch 'default':
Merge with 3.3, issue #17047: remove doubled words added in 3.3,
http://hg.python.org/cpython/rev/908d45fdbecd

New changeset 0a26a8b13193 by Terry Jan Reedy in branch 'default':
Issue #17047: remove doubled words added in 3.4,
http://hg.python.org/cpython/rev/0a26a8b13193
msg184011 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-12 06:09
The files in Modules/_ctypes/libffi/* shouldn't have been changed, but it probably doesn't matter much.  You also got the wrong issue id in Misc/NEWS (c162e2ff15bd).
msg184012 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-03-12 06:44
I should have made separate new in 3.3 and new in 3.4 patches to begin with. This suggests that we need to recheck with each version. Serhiy and Mathew, could you post your search re's or scripts to use again on occasion?

I unlinked the 2.7 news notice, rev82624, misdirected to 14707
 Documentation
 -------------
 
+- Issue #14707: remove doubled words in docs and docstrings
+  reported by Serhiy Storchaka and Matthew Barnett.
+
 - Issue #16406: combine the pages for uploading and registering to PyPI.
 
 - Issue #16403: Document how distutils uses the maintainer field in

I am unable to properly add the 2 line NEWS note to 3.2 (or 3.3) as explained in a response on the python-checkins list. The whole file is deleted and added back with three extra lines (I presume they are added), or even with just one blank line added, in a monster 319kb patch. If someone wants to add a corrected version of the above for 3.2,3,4 on *nix, please go ahead.

Ezio, I do not understand your comment. The only change that looks even possibly wrong is 'that that' to 'that', and I am pretty sure I checked the context.
msg184014 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-12 06:56
AFAIK libffi is maintained externally, so as soon as it gets updated your changes will simply get lost (see #17192).  I replied on your python-checkins email.  If you still have problems I can add the NEWS entry on 3.x.
msg184026 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-03-12 14:48
> Serhiy and Mathew, could you post your search re's or scripts to use again on occasion?

For example:

  find * -type f -name '*.[ch]' -exec egrep -n '\b([a-zA-Z]+) \1\b' '{}' + | grep -v 'long long' | egrep --color '\b([a-zA-Z]+) \1\b'
  find * -type f -name '*.py' -exec egrep -n --color '\b([a-zA-Z]+) \1\b' '{}' +

And similar one-time one-liners for *.rst, *.txt, etc.
msg184029 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-03-12 16:29
I emailed the libffi subpatch to libffi-discuss.
Please add the 3.x news entry if you can get to it before I am able.
Then this issue can be closed, though the problem will obviously recur without an automatic check.
msg184222 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-15 07:42
New changeset 4b28a6a3eda6 by Terry Jan Reedy in branch '3.2':
Issue #17047: Add news entry
http://hg.python.org/cpython/rev/4b28a6a3eda6

New changeset 937989570b42 by Terry Jan Reedy in branch '3.3':
Merge with 3.2: issue #17047 news entry
http://hg.python.org/cpython/rev/937989570b42

New changeset f0a3c2006adb by Terry Jan Reedy in branch 'default':
Merge with 3.2: closes issue #17047
http://hg.python.org/cpython/rev/f0a3c2006adb
History
Date User Action Args
2013-03-15 07:44:11terry.reedysetassignee: docs@python -> terry.reedy
2013-03-15 07:43:32terry.reedysetstatus: open -> closed
type: enhancement -> behavior
resolution: fixed
stage: patch review -> resolved
2013-03-15 07:42:12python-devsetmessages: + msg184222
2013-03-12 16:29:27terry.reedysetmessages: + msg184029
2013-03-12 14:48:06serhiy.storchakasetmessages: + msg184026
2013-03-12 06:56:35ezio.melottisetmessages: + msg184014
2013-03-12 06:44:44terry.reedysetassignee: terry.reedy -> docs@python
messages: + msg184012
2013-03-12 06:09:24ezio.melottisetmessages: + msg184011
2013-03-11 22:40:12python-devsetmessages: + msg183999
2013-03-11 22:00:17python-devsetmessages: + msg183998
2013-03-11 21:47:07python-devsetmessages: + msg183997
2013-03-11 21:43:13serhiy.storchakasetassignee: docs@python -> terry.reedy
messages: + msg183996
2013-03-11 21:30:36terry.reedysetmessages: + msg183995
2013-03-11 21:29:04python-devsetnosy: + python-dev
messages: + msg183994
2013-02-17 22:30:24serhiy.storchakasetstage: needs patch -> patch review
2013-02-08 16:15:22serhiy.storchakasetmessages: + msg181681
2013-02-08 07:55:02terry.reedysetfiles: + Issue17047-34.diff

messages: + msg181662
2013-02-08 07:24:33terry.reedysetfiles: + Doc17047-32.diff
2013-02-08 07:24:10terry.reedysetfiles: + Doc17047-27.diff

messages: + msg181661
2013-02-08 06:40:14terry.reedysetfiles: + Mod14707-32.diff
2013-02-08 06:39:49terry.reedysetfiles: + Mod14707-27.diff

messages: + msg181660
2013-02-08 03:44:33terry.reedysetfiles: + Lib14707-32.diff

messages: + msg181657
2013-02-08 03:41:19terry.reedysetfiles: + Lib14707-27.diff
keywords: + patch
messages: + msg181656
2013-02-08 01:41:53terry.reedysetmessages: + msg181653
2013-02-07 13:15:11serhiy.storchakasetmessages: + msg181604
2013-02-07 08:14:21terry.reedysetmessages: + msg181581
2013-02-07 02:15:15mrabarnettsetnosy: + mrabarnett
messages: + msg181578
2013-02-02 08:40:54terry.reedysetnosy: + terry.reedy
messages: + msg181144
2013-01-28 06:24:15brian.curtinsetpriority: normal -> low
2013-01-28 04:28:16eric.araujosetnosy: + eric.araujo
messages: + msg180825
2013-01-27 08:47:24serhiy.storchakasetmessages: + msg180749
2013-01-27 08:07:10serhiy.storchakacreate